For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Scopes
          • GET/default-scopes
          • GET/linked-account-scopes
          • POST/linked-account-scopes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Data managementScopes

/default-scopes

GET
/knowledgebase/v1/default-scopes
GET
/api/knowledgebase/v1/default-scopes
$curl https://api.merge.dev/api/knowledgebase/v1/default-scopes \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "common_models": [
3 {
4 "model_name": "Employee",
5 "model_permissions": {
6 "READ": {
7 "is_enabled": true
8 },
9 "WRITE": {
10 "is_enabled": false
11 }
12 },
13 "field_permissions": {
14 "enabled_fields": [
15 "avatar",
16 "created_at",
17 "custom_fields",
18 "date_of_birth",
19 "first_name",
20 "gender",
21 "remote_created_at",
22 "remote_data"
23 ],
24 "disabled_fields": [
25 "company",
26 "employments",
27 "groups",
28 "home_location",
29 "manager",
30 "work_location"
31 ]
32 }
33 }
34 ]
35}
Get the default permissions for Merge Common Models and fields across all Linked Accounts of a given category. [Learn more](https://help.merge.dev/en/articles/5950052-common-model-and-field-scopes).
Was this page helpful?
Previous

Scopes

Next

/linked-account-scopes

Built with

Get the default permissions for Merge Common Models and fields across all Linked Accounts of a given category. Learn more.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Response

common_modelslist of objects
The common models you want to update the scopes for